org.apache.catalina.tribes.transport.nio

## Class PooledParallelSender

- java.lang.Object
- - org.apache.catalina.tribes.transport.AbstractSender
  - - org.apache.catalina.tribes.transport.PooledSender
    - - org.apache.catalina.tribes.transport.nio.PooledParallelSender

- All Implemented Interfaces:
    DataSender, MultiPointSender

      public class PooledParallelSender
      extends PooledSender

  Title:

  Description:

  Company:

  Version:
    1.0
  Author:
    not attributable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `connected`

    - ### Fields inherited from class org.apache.catalina.tribes.transport.PooledSender

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PooledParallelSender()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect()` connect
    `void` | `disconnect()` disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method
    `DataSender` | `getNewDataSender()`
    `void` | `sendMessage(Member[] destination, ChannelMessage message)`

    - ### Methods inherited from class org.apache.catalina.tribes.transport.PooledSender

      `add, getInPoolSize, getInUsePoolSize, getMaxWait, getPoolSize, getSender, keepalive, remove, returnSender, setMaxWait, setPoolSize`

    - ### Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender

      `getAddress, getAttempt, getConnectTime, getDestination, getDirect, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, isConnected, isUdpBased, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirect, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, setUdpBased, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, transferProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender

      `setDirectBuffer, setMaxRetryAttempts`

    - ### Methods inherited from interface org.apache.catalina.tribes.transport.DataSender

      `getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setRxBufSize, setTimeout, setTxBufSize`

- - ### Field Detail

    - #### connected

          protected boolean connected

  - ### Constructor Detail

    - #### PooledParallelSender

          public PooledParallelSender()

  - ### Method Detail

    - #### sendMessage

          public void sendMessage(Member[] destination,
                         ChannelMessage message)
                           throws ChannelException

      Throws:
        `ChannelException`

    - #### getNewDataSender

          public DataSender getNewDataSender()

      Specified by:
        `getNewDataSender` in class `PooledSender`

    - #### disconnect

          public void disconnect()

      Description copied from class: `AbstractSender`
      disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method
      Specified by:
        `disconnect` in interface `DataSender`
      Overrides:
        `disconnect` in class `PooledSender`

    - #### connect

          public void connect()
                       throws IOException

      Description copied from class: `AbstractSender`
      connect
      Specified by:
        `connect` in interface `DataSender`
      Overrides:
        `connect` in class `PooledSender`
      Throws:
        `IOException` - TODO Implement this org.apache.catalina.tribes.transport.DataSender method

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.